Skip to main content
PATCH
/
v1
/
labels
/
{labelId}
Update Label
curl --request PATCH \
  --url https://api.us.lexful.app/v1/labels/{labelId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "color": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "is_system": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "color": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

labelId
string<uuid>
required

Label ID

Body

application/json
name
string

Label name

Required string length: 1 - 100
description
string | null

Label description (set to null to clear)

Maximum string length: 500
parent_id
string<uuid> | null

Parent label ID (set to null to convert to root label)

color
string | null

Hex color code (e.g., #FF5733)

Pattern: ^#[0-9A-Fa-f]{6}$

Response

Default Response

id
string<uuid>
required

Label unique identifier

name
string
required

Label name

is_system
boolean
required

Whether this is a system-managed label

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

created_by
string<uuid>
required

User ID who created the label

updated_by
string<uuid>
required

User ID who last updated the label

description
string | null

Optional description for the label

parent_id
string<uuid> | null

Parent label ID (null for root labels)

color
string | null

Hex color code (e.g., #FF5733)

Pattern: ^#[0-9A-Fa-f]{6}$
deleted_at
string<date-time> | null

Deletion timestamp (soft delete)